Commit 2a39e980 authored by Matija Obreza's avatar Matija Obreza
Browse files

Fail compilation on warnings and use of deprecated API

parent f8293ada
...@@ -215,13 +215,14 @@ ...@@ -215,13 +215,14 @@
<plugin> <plugin>
<inherited>true</inherited> <inherited>true</inherited>
<artifactId>maven-compiler-plugin</artifactId> <artifactId>maven-compiler-plugin</artifactId>
<version>3.3</version> <version>3.6.1</version>
<configuration> <configuration>
<source>${jdk.source}</source> <source>${jdk.source}</source>
<target>${jdk.target}</target> <target>${jdk.target}</target>
<optimize>true</optimize> <optimize>true</optimize>
<showDeprecation>${show.deprecations}</showDeprecation>
<showWarnings>true</showWarnings> <showWarnings>true</showWarnings>
<showDeprecation>true</showDeprecation>
<failOnWarning>true</failOnWarning>
</configuration> </configuration>
</plugin> </plugin>
<plugin> <plugin>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment